<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-toolbar-title>
          SMB
        </q-toolbar-title>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          <q-avatar size="md">
            <q-img :src="userData.picture" />
          </q-avatar>
          {{ this.userData.name }}

        </q-item-label>

        <q-item v-for="option in sidePanelOptions" :key="option.title" clickable @click="option.handler">
          <q-item-section avatar>
            <q-icon :name="option.icon"/>
          </q-item-section>
          <q-item-section>
            <q-item-label>{{ option.title }}</q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-drawer>

    <q-page-container class="q-pt-lg-lg">
      <router-view/>
    </q-page-container>
  </q-layout>
</template>

<script>

export default {
  name: 'MainLayout',
  data () {
    return {
      leftDrawerOpen: false,
      installationConfirmed: false,
      showDialog: false
    }
  },
  computed: {
    userData () {
      return {
        name: localStorage.getItem('userName'),
        picture: this.$store.getters['user/getUserProfile']?.picture
      }
    },
    sidePanelOptions () {
      return [
        {
          icon: 'home',
          title: 'Home',
          handler: () => {
            this.$router.push('/')
            this.leftDrawerOpen = false
          }
        },
        {
          icon: 'settings',
          title: 'Settings',
          handler: () => {
            this.$router.push('/settings')
            this.leftDrawerOpen = false
          }
        },
        {
          icon: 'shop',
          title: 'Available shops',
          handler: () => {
            this.$router.replace('/shop')
            this.leftDrawerOpen = false
          }
        },
        {
          icon: 'map',
          title: 'Find nearby',
          handler: () => {
            this.$router.replace({ name: 'ShopsMap' })
            this.leftDrawerOpen = false
          }
        },
        {
          icon: 'info',
          title: 'Info',
          handler: () => {
          }
        },
        {
          icon: 'help',
          title: 'Help',
          handler: () => {
          }
        }
      ]
    }
  }
}
</script>
